io.vertx.ext.shell.io

## Enum EventType

- java.lang.Object
- - java.lang.Enum<EventType>
  - - io.vertx.ext.shell.io.EventType

- All Implemented Interfaces:
    Serializable, Comparable<EventType>

      public enum EventType
      extends Enum<EventType>

  An event emitted by a `Tty`
  Author:
    Julien Viet

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EOF` Fired when an End Of File is encountered.
    `SIGCONT` Fired when the process is resumed.
    `SIGINT` Fired when the process is interrupted.
    `SIGTSTP` Fired when the process is running and is stopped.
    `SIGWINCH` Fired when the size of the terminal changes.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIGTSTP

          public static final EventType SIGTSTP

      Fired when the process is running and is stopped.

    - #### EOF

          public static final EventType EOF

      Fired when an End Of File is encountered.

    - #### SIGINT

          public static final EventType SIGINT

      Fired when the process is interrupted.

    - #### SIGWINCH

          public static final EventType SIGWINCH

      Fired when the size of the terminal changes.

    - #### SIGCONT

          public static final EventType SIGCONT

      Fired when the process is resumed.

  - ### Method Detail

    - #### values

          public static EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventType c : EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All rights reserved.